package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;

public class CMethod {

    private CModifiers CModifiers;
    private CType CType;
    private CFormalArguments CFormalArguments;
    private List<CThrows> CThrows;
    private CBlock CBlock;

    private String name;
    private String id;

    private String line;
    private String col;
    private String endline;
    private String endcol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;

    public CMethod()
    {
        CModifiers = null;
        CType = null;
        CFormalArguments = null;
        CThrows = new ArrayList<CThrows>();
        CBlock = null;

        this.name = null;
        this.id = null;

        line = null;
        col = null;
        endline = null;
        endcol = null;
        startToken = null;
        commentToken = null;
        endToken = null;
        idkind = null;
    }

   

    public void addCThrows(CThrows _throws)
    {
        this.CThrows.add(_throws);
    }

   

    
    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }

    public CBlock getCBlock() {
        return CBlock;
    }

    public void setCBlock(CBlock CBlock) {
        this.CBlock = CBlock;
    }

    public CFormalArguments getCFormalArguments() {
        return CFormalArguments;
    }

    public void setCFormalArguments(CFormalArguments CFormalArguments) {
        this.CFormalArguments = CFormalArguments;
    }

    public CModifiers getCModifiers() {
        return CModifiers;
    }

    public void setCModifiers(CModifiers CModifiers) {
        this.CModifiers = CModifiers;
    }

    public List<CThrows> getCThrows() {
        return CThrows;
    }

    public void setCThrows(List<CThrows> CThrows) {
        this.CThrows = CThrows;
    }

    public CType getCType() {
        return CType;
    }

    public void setCType(CType CType) {
        this.CType = CType;
    }


    
 
}
